using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    /// <summary>
    /// 外部连接日志
    /// </summary>
    [Description("连接日志表")]
   [IgnoreT4]public class T_FM_EXT_CONN_LOG : MesEntityBase
	{       /// <summary>
			/// 用于表示该生产入库单连接哪种类型的外部系统进行数据同步，默认为SAP
			/// </summary>
		[Description("外部连接目标类型")]
		[EnumName("FMExtConnDestTypeEnum")]
		public int EXT_CONN_DEST_TYPE { get; set; }
		/// <summary>
		/// 外部连接功能类型 FMExtConnFuncTypeEnum
		/// </summary>
		[EnumName("FMExtConnFuncTypeEnum")]
		public int EXT_FUNC_TYPE { get; set; }

        /// <summary>
        /// 单据ID
        /// </summary>
        [Description("单据ID")]
        public Guid BILL_ID { get; set; }

        /// <summary>
        /// 额外的键值
        /// </summary>
        [Description("额外的键值")]
        public string EXT_KEY { get; set; }


        /// <summary>
        /// 键值ID
        /// </summary>
        [Description("键值ID")]
        public Guid? KEY_ID { get; set; }


        /// <summary>
        /// 额外的键值ID
        /// </summary>
        [Description("额外的键值ID")]
        public string EXT_KEY_ID { get; set; }

        /// <summary>
        /// 参数
        /// </summary>
        [Description("参数")]
        public string PARMS { get; set; }

        /// <summary>
        /// 信息
        /// </summary>
        [Description("信息")]
        public string ECMSAGE { get; set; }

		/// <summary>
		///执行结果状态  FMExtConnExecuteResultStatusEnum
		/// </summary>
		[EnumName("FMExtConnExecuteResultStatusEnum")]
        [Description("执行结果状态")]
        public int EXECUTE_RESULT_STATUS { get; set; }

	}
}
